vnfd:
  description: A VNF consisting of 1 VDU connected to two external VL, and one for
    data and another one for management
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: simple_requires
      - number-of-instances: 1
        vdu-id: simple_provides
    vdu-profile:
    - id: simple_requires
      min-number-of-instances: 1
    - id: simple_provides
      min-number-of-instances: 1
    lcm-operations-configuration:
      operate-vnf-op-config:
        day1-2:
        - id: vnf_relations-vnf
          relation:
          - entities:
            - endpoint: interface
              id: simple_provides
            - endpoint: interface
              id: simple_requires
            name: relation
        - config-access:
            ssh-access:
              default-user: ubuntu
              required: true
          config-primitive:
          - name: touch
            execution-environment-ref: simple-requires-ee
            parameter:
            - data-type: STRING
              default-value: /home/ubuntu/touched
              name: filename
          id: simple_requires
          execution-environment-list:
          - id: simple-requires-ee
            juju:
              charm: simple_requires
              proxy: false
            external-connection-point-ref: requires-mgmt-ext
          initial-config-primitive:
          - name: touch
            execution-environment-ref: simple-requires-ee
            parameter:
            - data-type: STRING
              name: filename
              value: /home/ubuntu/first-touch
            seq: 1
        - config-access:
            ssh-access:
              default-user: ubuntu
              required: true
          config-primitive:
          - name: touch
            execution-environment-ref: simple-provides-ee         
            parameter:
            - data-type: STRING
              default-value: /home/ubuntu/touched
              name: filename
          id: simple_provides
          execution-environment-list:
          - id: simple-provides-ee
            juju:
              charm: simple_provides
              proxy: false
            external-connection-point-ref: provides-mgmt-ext
          initial-config-primitive:
          - name: touch
            execution-environment-ref: simple-provides-ee
            parameter:
            - data-type: STRING
              name: filename
              value: /home/ubuntu/first-touch
            seq: 1
  ext-cpd:
  - id: requires-mgmt-ext
    int-cpd:
      cpd: simple_requires-eth0-int
      vdu-id: simple_requires
  - id: provides-mgmt-ext
    int-cpd:
      cpd: simple_provides-eth0-int
      vdu-id: simple_provides
  id: vnf_relations-vnf
  mgmt-cp: requires-mgmt-ext
  product-name: vnf_relations-vnf
  sw-image-desc:
  - id: ubuntu18.04
    image: ubuntu18.04
    name: ubuntu18.04
  - id: ubuntu18.04-azure
    name: ubuntu18.04-azure
    image: Canonical:UbuntuServer:18.04-LTS:latest
    vim-type: azure
  vdu:
  - cloud-init-file: cloud-config.txt
    id: simple_requires
    int-cpd:
    - id: simple_requires-eth0-int
      virtual-network-interface-requirement:
      - name: simple_requires-eth0
        position: 1
        virtual-interface:
          type: PARAVIRT
    name: simple_requires
    sw-image-desc: ubuntu18.04
    alternative-sw-image-desc:
    - ubuntu18.04-azure
    virtual-compute-desc: simple_requires-compute
    virtual-storage-desc:
    - simple_requires-storage
  - cloud-init-file: cloud-config.txt
    id: simple_provides
    int-cpd:
    - id: simple_provides-eth0-int
      virtual-network-interface-requirement:
      - name: simple_provides-eth0
        position: 1
        virtual-interface:
          type: PARAVIRT
    name: simple_provides
    sw-image-desc: ubuntu18.04
    alternative-sw-image-desc:
    - ubuntu18.04-azure
    virtual-compute-desc: simple_provides-compute
    virtual-storage-desc:
    - simple_provides-storage
  version: 1.0
  virtual-compute-desc:
  - id: simple_requires-compute
    virtual-cpu:
      num-virtual-cpu: 1
    virtual-memory:
      size: 1.0
  - id: simple_provides-compute
    virtual-cpu:
      num-virtual-cpu: 1
    virtual-memory:
      size: 1.0
  virtual-storage-desc:
  - id: simple_requires-storage
    size-of-storage: 10
  - id: simple_provides-storage
    size-of-storage: 10
